Public Member Functions | List of all members
clan::BlendStateDescription Class Reference
clanDisplay Display

Blend state description. More...

`#include <blend_state_description.h>`

## Public Member Functions
bool | operator< (const BlendStateDescription &other) const
bool | operator== (const BlendStateDescription &other) const
Attributes
bool | is_blending_enabled () const
void | get_blend_equation (BlendEquation &out_color, BlendEquation &out_alpha) const
void | get_blend_function (BlendFunc &out_src, BlendFunc &out_dest, BlendFunc &out_src_alpha, BlendFunc &out_dest_alpha) const
void | get_color_write (bool &out_red, bool &out_green, bool &out_blue, bool &out_alpha) const
bool | is_logic_op_enabled () const
LogicOp | get_logic_op () const
Operations
void | enable_blending (bool value)
| Enable/Disable blending. More...
void | set_blend_equation (BlendEquation color, BlendEquation alpha)
| Set the constant color used in the blend equations. More...
void | set_blend_function (BlendFunc src, BlendFunc dest, BlendFunc src_alpha, BlendFunc dest_alpha)
| Set the blend functions. More...
void | enable_color_write (bool red, bool green, bool blue, bool alpha)
| Enable/disable writing to the color buffer. More...
void | enable_logic_op (bool enabled)
| Enable/disable logic op. (clanGL only) More...
void | set_logic_op (LogicOp op)
| Set logic operation. (clanGL only) More...

## Construction
| BlendStateDescription ()
BlendStateDescription | clone () const
static BlendStateDescription | blend (bool src_premultiplied, bool dest_premultiplied=true)
static BlendStateDescription | opaque ()

## Detailed Description

Blend state description.

The documentation for this class was generated from the following file:

- blend_state_description.h